$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.68-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.68-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F9EB7CCCC2AE59E8DCEF20501D973B7639CB063D3A7BE3AD90C356F1E1A38CBD'
  checksumType = 'sha256'
  checksum64 = 'F9EB7CCCC2AE59E8DCEF20501D973B7639CB063D3A7BE3AD90C356F1E1A38CBD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.17.68-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
